import request from '@/utils/request'
// 查询京西视界用绑定列表
export function listJxHorizonIdentity(query) {
  return request({
    url: '/jx_horizon/jxHorizonIdentity/list',
    method: 'get',
    params: query
  })
}
// 查询京西视界用绑定详细
export function getJxHorizonIdentity(id) {
  return request({
    url: '/jx_horizon/jxHorizonIdentity/get',
    method: 'get',
    params: {
     id: id.toString()
    }
  })
}
// 新增京西视界用绑定
export function addJxHorizonIdentity(data) {
  return request({
    url: '/jx_horizon/jxHorizonIdentity/add',
    method: 'post',
    data: data
  })
}
// 修改京西视界用绑定
export function updateJxHorizonIdentity(data) {
  return request({
    url: '/jx_horizon/jxHorizonIdentity/edit',
    method: 'put',
    data: data
  })
}
// 删除京西视界用绑定
export function delJxHorizonIdentity(ids) {
  return request({
    url: '/jx_horizon/jxHorizonIdentity/delete',
    method: 'delete',
    data:{
       ids:ids
    }
  })
}
// 京西视界用绑定账号状态修改
export function changeJxHorizonIdentityStatus(id,status) {
  const data = {
    id,
    status
  }
  return request({
    url: '/jx_horizon/jxHorizonIdentity/changeStatus',
    method: 'put',
    data:data
  })
}